#ifndef CONFIGURATION_H
#define CONFIGURATION_H

#include <sys/types.h>
#include <glibmm/ustring.h>
using Glib::ustring;

/* I use public data members to store program settings,
 * this will greatly ease the usage.  */ 

class configuration {
public:
    configuration (const ustring&);

    /* save configurations to a file */
    bool save () const;

    const ustring config_file_path_;

    time_t soft_interval;
    time_t hard_interval;

    long memory_valve;
    double cpu_valve;
    double io_valve;
    bool enable_notification;
    bool disable_io_notification;
};

#endif /* end of CONFIGURATION_H */
