#ifndef PROCESS_STRUCT_H
#define PROCESS_STRUCT_H

#include <sys/types.h>
#include <unistd.h>
#include <stdlib.h>

struct process_t {
    pid_t pid;
    const char *name;
    long memory; /* mb */
    float cpu; /* % */
    double read_bytes; /* mb/s */
    double write_bytes; /* mb/s */
};

#endif /* end of PROCESS_STRUCT_H */
